/*
Theme Name: Astra Child
Theme URI: https://wpastra.com/
Template: astra
Author: Brainstorm Force
Author URI: https://wpastra.com/about/?utm_source=theme_preview&utm_medium=author_link&utm_campaign=astra_theme
Description: Astra is fast, fully customizable &amp; beautiful WordPress theme suitable for blog, personal portfolio, business website and WooCommerce storefront. It is very lightweight (less than 50KB on frontend) and offers unparalleled speed. Built with SEO in mind, Astra comes with Schema.org code integrated and is Native AMP ready so search engines will love your site. It offers special features and templates so it works perfectly with all page builders like Elementor, Beaver Builder, Visual Composer, SiteOrigin, Divi, etc. Some of the other features: # WooCommerce Ready # Responsive # RTL &amp; Translation Ready # Extendible with premium addons # Regularly updated # Designed, Developed, Maintained &amp; Supported by Brainstorm Force. Looking for a perfect base theme? Look no further. Astra is fast, fully customizable and WooCommerce ready theme that you can use for building any kind of website!
Tags: custom-menu,custom-logo,entertainment,one-column,two-columns,left-sidebar,e-commerce,right-sidebar,custom-colors,editor-style,featured-images,full-width-template,microformats,post-formats,rtl-language-support,theme-options,threaded-comments,translation-ready,blog
Version: 4.6.8.1710197830
Updated: 2024-03-12 01:57:10

*/

/*Кирилический Гугл-шрифт названия сайта в шапке сайта*/
#logotxt {
font-family: "Playfair Display", serif;
font-size: 50px;
font-weight: 500;
/*color: #1E293B;*/
color: #004777;
font-style: italic;
letter-spacing: 1px; /*Межбуквенный интервал*/
}

/*Правый отступ от Логотипа*/
.ast-logo-title-inline .site-logo-img {
    /*padding-right: 0em;*/
	padding-right: 0;
}

/*Верхний отступ названия сайта в шапке сайта (в хедере)*/
.ast-builder-html-element p:last-child {
    margin-top: 20px;
}

/*Фон кнопки поиска в хедере*
form[CLASS*="wp-block-search__"].wp-block-search .wp-block-search__inside-wrapper .wp-block-search__button.has-icon {
    background-color: #2F82A9;
}
*/

/*Фон кнопки поиска в хедере при наведении*
form[CLASS*="wp-block-search__"].wp-block-search .wp-block-search__inside-wrapper .wp-block-search__button.has-icon:hover {
    background-color: #7EBBB1;
	color: #1E293B;
}
*/

/*Выравнивание по центру кнопки "Читать далее"*/
.uagb-block-9591d157.uagb-post-grid .wp-block-button.uagb-post__text.uagb-post__cta .uagb-text-link.wp-block-button__link {
    display: block;
    margin: 0 auto;
    max-width: 180px;
}

/*Скрытие на странице одиночной записи автора и дату публикации*/
header.entry-header .entry-meta, header.entry-header .entry-meta * {
    display: none;
}

/*Расстояние от заголовка до картинки на странице одиночной записей*/
.single .entry-header {
    margin-bottom: 2.5em;
}

/* Время увеличения картинки при наведении на нее курсора */
.uagb-post-grid.is-grid.uagb-post__image-position-top .uagb-post__image a[class^="uagb-image-ratio-"]>img {
/* Время эффекта 0,3 сек */
transition: 0.3s;
}

/* Масштаб увеличения картинки при наведении на нее курсора. В данном случае 20% */
.uagb-post-grid.is-grid.uagb-post__image-position-top .uagb-post__image a[class^="uagb-image-ratio-"]>img:hover {
/* Увеличиваем масштаб в 1,2 раза */
transform: scale(1.2);
}

/* Значок прокрутки страницы вверх. Розовый цвет */
#ast-scroll-top {
	background-color: #DE564A;
}

/*Верхний отступ меню. Было 20px*/
.ast-desktop .ast-primary-header-bar.main-header-bar, .ast-header-break-point #masthead .ast-primary-header-bar.main-header-bar {
    padding-top: 1px;
}

/*Шрифт Заголовков страниц категорий*/
body.archive .ast-archive-description .ast-archive-title, body.archive .ast-archive-description .ast-archive-title * {
    font-size: 2.6rem;
	font-family: 'Merriweather', serif;
}

/*Верхний и нижний отступы Заголовка страниц категорий. Было 3em*/
body.archive .ast-archive-description {
    padding-top: 1em;
    padding-bottom: 1em;
}

/*Правый отступ от логотипа*/
/*Для интерфейсов 767px и менее*/
@media screen and (max-width: 767px) {
	.ast-header-break-point #masthead .ast-primary-header-bar.main-header-bar {
		padding-right: 0px;
		padding-left: 0px;
	}
}

/*Фиксирование меню в верхней части экрана*/
/*Для интерфейсов 1024px и более*/
@media screen and (min-width: 1024px) {
	.main-header-bar-wrap {
			/*z-index: 99;*/
			position: sticky;
			top: 0px;
	}
}

/*Фиксирование меню в верхней части экрана*/
/*Для интерфейсов 1024px и более*/
@media screen and (min-width: 1024px) {
	.site-header {
		z-index: 1;
		top: 0;
		position: relative;
	}
}

/*Наложение затемнения на фоновое изображение хедера*/
/*Для интерфейсов 768px и более*/
@media screen and (min-width: 768px) {
	.site-header:before {
		/*z-index: 99;*/
		content: '';
		display: block;
		width: 100%;
		height: 100%;
		position: absolute;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		background-color:rgba(0, 0, 0, .1);
	}
}

/* Шрифт текста меню */
.ast-builder-menu-1 {
    font-family: "Fira Sans Extra Condensed", sans-serif;
    text-transform: uppercase;
	font-weight: 300;
	letter-spacing: 1px; /*Межбуквенный интервал*/
}

/* Высота хедера. Равна высоте фонового изображения. Выводится здесь если высота картинки более 600px. */
/*Для интерфейсов 992px и более*/
@media screen and (min-width: 992px) {
	.ast-below-header-bar.ast-below-header, .ast-header-break-point .ast-below-header-bar.ast-below-header {
		height: 900px;
		margin-top: -100px;
	}
}

/* Смещение фоновой картинки вверх (под блок меню) */
/*Для интерфейсов 702px и более*/
@media screen and (min-width: 702px) {
	.ast-below-header-bar.ast-below-header, .ast-header-break-point .ast-below-header-bar.ast-below-header {
		margin-top: -100px;
	}
}

/*Тень для интерфейсов 767px и менее*/
@media screen and (max-width: 767px) {
	.uagb-post-grid.is-grid.uagb-equal_height_inline-read-more-buttons.uagb-post__image-position-top .uagb-post__inner-wrap, .uagb-post-grid.is-grid.uagb-equal_height_inline-read-more-buttons.uagb-post__image-position-background .uagb-post__inner-wrap {
		box-shadow: 0px 0px 1px 0px #00000070;
	}
}

/*--------------------------------------------------------------------------------------------------------*/
/*--- 30.05.2024 ---*/
/*Шапка сайта. Устанавливаем верхний и нижний отступ от логотипа*/
.ast-logo-title-inline .ast-site-identity {
    padding: 10px 0;
}

/*Шапка сайта. Цвет иконки поиска*/
form[CLASS*="wp-block-search__"].wp-block-search .wp-block-search__inside-wrapper .wp-block-search__button.has-icon {
    background-color: #F0C543;
	color: #000;
/* Размеры иконки поиска */
	padding-top: calc(11px - 3px);
    padding-right: calc(12px - 3px);
    padding-bottom: calc(7px - 3px);
    padding-left: calc(12px - 3px);
}

/*
/*Шапка сайта. Цвет иконки Поиск при наведении*
form[CLASS*="wp-block-search__"].wp-block-search .wp-block-search__inside-wrapper .wp-block-search__button.has-icon:hover {
    background-color: #FA6153;
}
*/

/*Шапка сайта. Липкое меню*/
.site-header {
	position: sticky;
}

/*Фиксированное меню. Смартфон*/
/*Для интерфейсов 767px и менее*
@media screen and (max-width: 767px) {
	.ast-header-break-point #ast-mobile-header {
		position: fixed;
/* !!! При "position:fixed" следующие параметры обязательны !!! *
		top: 0px;
		right: 0px;
		left: 0px;
	}
}
*/

/*Высота шапки смартфона*/
/*Для интерфейсов 767px и менее*
@media screen and (max-width: 767px) {
	.ast-builder-grid-row {
		height: 50px;
	}
}
*/

/*Центрирование по горизонтали кнопки "Читать далее"*/
.uagb-block-49ae5b4b.uagb-equal_height_inline-read-more-buttons .uagb-post__inner-wrap .uagb-post__text:last-child {
    left: 50px;
}

/*Центрирование по горизонтали кнопки "Читать далее"*/
/*Для интерфейсов 767px и менее*/
@media screen and (max-width: 767px) {
	.uagb-block-49ae5b4b.uagb-equal_height_inline-read-more-buttons .uagb-post__inner-wrap .uagb-post__text:last-child {
		left: 90px;
	}
}

/*--- 30.05.2024 ---*/
/*--------------------------------------------------------------------------------------------------------*/


/*--------------------------------------------------------------------------------------------------------*/
/*--- 03.06.2024 ---*/
/*----- Блок кнопки Поиск шапки (меню) сайта -----*/

/*Грид-структура шапки*/
.ast-builder-grid-row.ast-grid-center-col-layout {
    grid-template-columns: 250px auto 50px;
}

/*Смещение логотипа влево*/
.ast-logo-title-inline .site-logo-img {
    padding-left: 30px;
}

/*_!!!-----------------------------!!!_*/
/* От сюда и до конца позиционирование иконки "Поиск" внутри "Шапки" (или внутри меню) */
/* Примечание: Здесь "Поиск" не темы Astra, а "Поиск" Гутенберга, то есть "Поиск" самого WordPress */

/*Создал Дополнительный класс внешнего блока где расположен Поиск*/
.wr_poisk {
	position: static;
	top: 0px;
	right: 0;
	left: 0;
}


/*Для интерфейсов 768px и более и для 921px и менее*/
@media screen and (min-width: 768px) and (max-width: 921px) {
	
	.wr_poisk {
	position: relative;
	top: 0px;
	right: 0;
	left: 0;
	}
	
	.srh_poisk {
		position: relative;
		/*top: 0;*/
		/*top: -165px;*/
		top: -157px;
		left: 20px;
		/*top: -1px;*/
		z-index: 2;
	}

	.bt_poisk {
		/*position: fixed;*/
		/*top: 0;*/
	/*Опускаем кнопку Поиск на ту же высоту, на которую подняли родительский блок + 2px - толщина границ блоков*/
		/*top: 102px;*/
		right: 0;   
		left: 0;
	}
	
}




/*Для интерфейсов 922px и более*/
@media screen and (min-width: 922px) {
	
	.wr_poisk {
	position: relative;
	top: 0px;
	right: 0;
	left: 0;
	}
	
	.srh_poisk {
		position: absolute;
		/*top: 0;*/
	/*Поднимаем блок над шапкой, чтобы он не перекрывал пункты меню*/
		/*top: -214px;*/
		top: -205px;
		/*top: -1px;*/
		z-index: 2;
	}

	.bt_poisk {
		/*position: fixed;*/
		/*top: 0;*/
	/*Опускаем кнопку Поиск на ту же высоту, на которую подняли родительский блок + 2px - толщина границ блоков*/
		/*top: 102px;*/
		right: 0;   
		left: 0;
	}

}




/*Для интерфейсов 1024px и более*/
@media screen and (min-width: 1024px) {
	.srh_poisk {
		position: fixed;
		/*top: 0;*/
	/*Поднимаем блок над шапкой, чтобы он не перекрывал пункты меню*/
		/*top: -214px;*/
		/*top: -1px;*/
		top: 1px;
		z-index: 2;
	}

	.bt_poisk {
		/*position: fixed;*/
		/*top: 0;*/
	/*Опускаем кнопку Поиск на ту же высоту, на которую подняли родительский блок + 2px - толщина границ блоков*/
		/*top: 102px;*/
		right: 0;   
		left: 0;
	}
}

/*07.09.2024. Для смартфонов (интерфейсы 767px и менее) помещаем кнопку Поиск под меню на расстоянии 20px.*/
@media screen and (max-width: 767px) {
	.bt_poisk {
		position: fixed;
		/*top: 0;*/
		top: 22px;
		right: 0;   
		left: 0;
	}
}

.site-header {
    z-index: 1;
}

/*Поднимаем Заголовок, а вместе с ним и весь контент, для нижеуказанных интерфейсов*/
/*Для интерфейсов 768px и более и для 921px и менее*/
@media screen and (min-width: 768px) and (max-width: 921px) {
	.wp-block-uagb-advanced-heading .uagb-heading-text {
    margin-top: -80px;
	}
}

